WHEREIS(1)

NAZWA
whereis - znajdź pliki binarne, źródłowe i strony man dla danego polecenia

SKŁADNIA
whereis [-bmsu] [-BMS katalog... -f] nazwapliku...

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

whereis lokalizuje źródła/binaria i dokumentację man dla zadanych plików. Z podanych nazw wstępnie usuwana jest początkowa składowa określająca ścieżkę oraz ewentualne (pojedyncze) kończące rozszerzenie postaci .ext, na przykład, .c. Przedrostki s. wynikające z użycia kontroli kodu źródłowe są również obsługiwane. Następnie whereis usiłuje zlokalizować położenie żądanego programu posługując się listą standardowych miejsc Linuksowych.

OPCJE

-b  Szukaj tylko binariów.

-m  Szukaj tylko sekcji dokumentacji man.

-s  Szukaj tylko źródeł.

-u  Szukaj pozycji odbiegających od normy. Plik odbiega od normy, jeśli nie posiada choć jednej pozycji każdego zadanego typu. Zatem `whereis -m -u *' pyta o pliki w bieżącym katalogu, które nie posiadają dokumentacji.

-B  Zmień lub w inaczej ogranicz miejsca, gdzie whereis szuka binariów.

-M  Zmień lub w inaczej ogranicz miejsca, gdzie whereis szuka sekcji stron man.

-S  Zmień lub w inaczej ogranicz miejsca, gdzie whereis szuka źródeł.

-f  Kończy ostatnią listę katalogów i sygnalizuje początek nazw plików. Musi być użyte, jeśli zastosowano jedną z opcji -B, -M lub -S.

PRZYKŁAD
Znajdź wszystkie pliki w /usr/bin, które nie posiadają dokumentacji w /usr/man/man1 ze źródłem w /usr/src:

    example% cd /usr/bin
    example% whereis -u -M /usr/man/man1 -S /usr/src -f *

PLIKI

/{bin,sbin,etc}

/usr/{lib,bin,old,new,local,games,include,etc,src,man,sbin,
    X386,TeX,g++-include}

/usr/local/{X386,TeX,X11,include,lib,man,etc,bin,games,emacs}

ZOBACZ TAKŻE
chdir(2V)

BŁĘDY
Ponieważ whereis, w celu szybszego wykonywania się, wykorzystuje chdir(2V), ścieżki podane opcjami -M, -S lub -B muszą być pełnymi ścieżkami, to jest, muszą zaczynać się od `/'.

whereis posiada wbudowaną (hard-coded) ścieżkę przeszukiwania, więc może nie zawsze znajdować to, czego szukasz.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 whereis

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.